### Method

# SpiceClientGLib InputsChannel button_press

since: 0.35

#### Declaration [src]

    void
    spice_inputs_channel_button_press (
      SpiceInputsChannel* channel,
      gint button,
      gint button_state
    )

#### Description [src]

Press a mouse button.

Available since: 0.35

#### Parameters

`button`

  Type: `gint`

  A SPICE_MOUSE_BUTTON.

`button_state`

  Type: `gint`

  SPICE_MOUSE_BUTTON_MASK flags.